// pages/discover/discover.js
const getReq = require('../../config.js').getReq
Page({

  /**
   * 页面的初始数据
   */
  data: {
    special_datas: {},
    direction: 'backward',
    function_items: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getDatas()
    this.getFunctions()
  },

  getDatas() {
    wx.showLoading({
      title: '加载中',
    })
    var self = this
    getReq(app,{
      act: 'brand',
      op: 'home'
    }, function (res) {
      wx.hideLoading()
      if (res.code == 200) {
        self.setData({
          special_datas: res.datas
        })
      }
    })
  },
  secTabs: function (e) {
    wx.pageScrollTo({
      scrollTop: 0,
      duration: 16
    })
    let direction = e.currentTarget.dataset.item

    if (direction == this.data.direction) {
      return
    }
    
    this.setData({
      direction
    })
    
  },
  getFunctions() {
    var self = this
    getReq(app,{
      act: 'category',
      op: 'index'
    }, function (res) {
      if (res.code == 200) {
        self.setData({
          function_items: res.datas.items
        })     
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  }
})